from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
from django.contrib.sitemaps.views import sitemap
from django.urls import include, path
from django.views.generic import RedirectView

from gallery.sitemaps import AlbumSitemap

sitemaps = {
    'albums': AlbumSitemap,
}

urlpatterns = [
    path("sitemap.xml", sitemap, {'sitemaps': sitemaps}, name='django.contrib.sitemaps.views.sitemap'),
    path('admin/', admin.site.urls),
    path('favicon.ico/', RedirectView.as_view(url='/static/favicon.ico', permanent=True)),
    path('i18n/', include('django.conf.urls.i18n')),
    path('', include(('gallery.urls', 'gallery'), namespace='gallery')),
]

if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
