from django import template
from django.core.cache import cache

from gallery.models import Album, Photo

register = template.Library()

@register.simple_tag
def gallery_stats():
    cache_key = "gallery_stats"
    data = cache.get(cache_key)
    if data is None:
        total_photos = Photo.objects.count()
        total_albums = Album.objects.count()
        public_albums = Album.objects.filter(is_public=True).count()
        data = (total_albums, public_albums, total_photos)
        cache.set(cache_key, data, timeout=60 * 10)  # 10 min
    return data